"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function create(customConfig, logger) {
    const HdfsClient = require('node-webhdfs').WebHDFSClient;
    logger.info(`Using hdfs hosts: ${customConfig.host}`);
    // TODO: there's no error handling here at all???
    const client = new HdfsClient(customConfig);
    return {
        client
    };
}
exports.default = {
    create,
    config_schema() {
        return {
            user: {
                doc: '',
                default: 'webuser'
            },
            namenode_port: {
                doc: '',
                default: 50070
            },
            namenode_host: {
                doc: '',
                default: 'localhost'
            },
            path_prefix: {
                doc: '',
                default: '/webhdfs/v1'
            }
        };
    }
};
//# sourceMappingURL=hdfs.js.map