"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ts = __importStar(require("@terascope/utils"));
const api_1 = __importDefault(require("./api"));
/**
 * CoreContext
*/
class CoreContext {
    constructor(config, cluster, sysconfig, assignment) {
        this.arch = process.arch;
        this.platform = process.platform;
        this.sysconfig = sysconfig;
        this.cluster = cluster;
        this.name = config.name || 'terafoundation';
        this.assignment = assignment || (process.env.NODE_TYPE
            || process.env.assignment
            || process.env.ASSIGNMENT);
        if (ts.isFunction(config.cluster_name)) {
            this.cluster_name = config.cluster_name(this.sysconfig);
        }
        if (ts.isString(config.cluster_name)) {
            this.cluster_name = config.cluster_name;
        }
        api_1.default(this);
    }
}
exports.CoreContext = CoreContext;
function handleStdStreams() {
    // See https://github.com/trentm/node-bunyan/issues/246
    function handleStdError(err) {
        if (err.code === 'EPIPE' || err.code === 'ERR_STREAM_DESTROYED') {
            // ignore
        }
        else {
            throw err;
        }
    }
    process.stdout.on('error', handleStdError);
    process.stderr.on('error', handleStdError);
}
exports.handleStdStreams = handleStdStreams;
//# sourceMappingURL=core-context.js.map