import { CoreContext } from './core-context';
import * as i from './interfaces';
/**
 * A Single Process Context, this should be used when running
 * in a single process instance/container. This context doesn't
 * support some of the multiple worker/assignment variations
 * that `ClusterContext` does, like `master` or `worker`.
 *
 * @todo add process event handler listeners in initialize method
 * @todo add shutdown handler logic with shutdown method
*/
export declare class ProcessContext<S = {}, A = {}, D extends string = string> extends CoreContext<S, A, D> {
    constructor(config: i.FoundationConfig<S, A, D>, overrideArgs?: i.ParsedArgs<S>);
}
//# sourceMappingURL=process-context.d.ts.map